package ch.ethz.ssh2.crypto;

import ch.ethz.ssh2.crypto.cipher.BlockCipherFactory;
import ch.ethz.ssh2.crypto.digest.MAC;

/**
 * CryptoWishList.
 * 
 * @author Christian Plattner, plattner@inf.ethz.ch
 * @version $Id: CryptoWishList.java,v 1.1 2005/05/26 14:53:31 cplattne Exp $
 */
public class CryptoWishList
{
	public String[] c2s_enc_algos = BlockCipherFactory.getCipherList();
	public String[] s2c_enc_algos = BlockCipherFactory.getCipherList();
	public String[] c2s_mac_algos = MAC.getMacList();
	public String[] s2c_mac_algos = MAC.getMacList();
}
